<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../style.css');
    @import url('../../../../../roundedcorners.css');
  </style>
    
  <title>HttpClient 4.2.3</title></head>
<body onload="onLoad('HttpClient 4.2.3: org.apache.http.impl.client.BasicResponseHandler.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET</div>

        
    
            <div class="navBar"><a href="../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="BasicResponseHandler.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

        <td class="headerStats">
        <table>
            <tr>
                <td>
                    <img src="../../../../../img/srcFileCovDistChart9.png" alt="../../../../../img/srcFileCovDistChart9.png" usemap="#srcFileCovDistChart9.png" align="middle"/>
                    <map id="srcFileCovDistChart9.png" name="srcFileCovDistChart9.png">
<area shape="rect" coords="81,7,87,44" title="57 files have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="74,18,80,44" title="41 files have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="67,26,73,44" title="29 files have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="60,34,66,45" title="17 files have 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="53,37,59,44" title="12 files have 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="46,35,52,44" title="15 files have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="39,37,45,44" title="12 files have 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="32,43,38,44" title="3 files have 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="25,43,31,44" title="3 files have 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="18,43,24,44" title="3 files have 1-10% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="11,9,17,44" title="54 files have 0% coverage" alt="" nohref="nohref"/>
</map>
                </td>
                <td>
                    <span class="subtle"><span class="bold">23% </span>of files have more coverage</span>
                </td>
            </tr>
        </table>
    </td>
    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file BasicResponseHandler.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      74
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      4
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      23
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.5
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      1
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file BasicResponseHandler.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      74
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      4
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      23
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.5
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      1
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      3
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="BasicResponseHandler" >
                                <span class="expand methodStart" id="span-BasicResponseHandler" onclick="toggleClass(this, 'BasicResponseHandler', 1);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#54" title="BasicResponseHandler">BasicResponseHandler</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('BasicResponseHandler'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 54
                <a name="sl-54"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    6
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    3
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    1
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    90.9%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">0.90909094</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="90.9% Covered" class="barPositive " style="width: 90.9%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="BasicResponseHandler-1" style="display:none">
            <td class="methodSummary" id="summary-62-5">
                <span class="sortValue">handleResponse(HttpResponse)&nbsp;:&nbsp;String</span>
                &nbsp;&nbsp;<a href="#62" title="handleResponse(HttpResponse)&nbsp;:&nbsp;String" name="sl-62">handleResponse(HttpResponse)&nbsp;:&nbsp;String</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">62</span>
                62
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">6.0</span>
              6
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">3.0</span>
              3
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.9</span>
              90%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="90% Covered" class="barPositive " style="width: 90%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
    <tbody>
<tr>
    <td class="hbreak" align="left" colspan="4">
        &nbsp; <label class="sortable" id="testsToggle" onclick="toggleAllTests(this); return false;" onkeyup="return help_src_file_show_tests;">Show Tests </label>(20) <label onkeyup="return help_select_all;" class="selectable unselected" id="selectalltests" onclick="selectAllTests(this);">Select All </label> <label onkeyup='return help_deselect_all;' class="selectable selected" id="deselectalltests" onclick="deselectAllTests(this);">Deselect All</label>
    </td>
</tr>
</tbody>
<tbody id="tests-body" style="display:none">
<tr id="testHeaderRow">
    <td class="graphHeaderLeft titleText" align="center" >
        <label onkeyup="return help_hilight_test;" id="help_1">Highlight</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'number', 1);return false;">
        <label onkeyup="return help_test_contribution;" id="help_2">Test Contribution</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 2);return false;">
        <label onkeyup="return help_src_file_test;" id="help_3">Test</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 3);return false;">Result</td>
</tr>

        <tr id="test-2342">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-2342"></a>
            <input type="checkbox" id="cb-2342" value="2342" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_1t2.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-2342">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=276#src-276" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_1t2.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-1970">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-1970"></a>
            <input type="checkbox" id="cb-1970" value="1970" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_1iq.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-1970">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=291#src-291" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_1iq.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-1989">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-1989"></a>
            <input type="checkbox" id="cb-1989" value="1989" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_1j9.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-1989">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=291#src-291" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_1j9.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-1933">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-1933"></a>
            <input type="checkbox" id="cb-1933" value="1933" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_1hp.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-1933">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=49#src-49" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_1hp.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-2471">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-2471"></a>
            <input type="checkbox" id="cb-2471" value="2471" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_1wn.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-2471">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=62#src-62" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_1wn.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-235">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-235"></a>
            <input type="checkbox" id="cb-235" value="235" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_6j.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-235">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=276#src-276" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_6j.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-106">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-106"></a>
            <input type="checkbox" id="cb-106" value="106" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_2y.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-106">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=291#src-291" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_2y.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-3806">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-3806"></a>
            <input type="checkbox" id="cb-3806" value="3806" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_2xq.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-3806">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=62#src-62" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_2xq.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-354">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-354"></a>
            <input type="checkbox" id="cb-354" value="354" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_9u.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-354">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=276#src-276" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_9u.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-1963">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-1963"></a>
            <input type="checkbox" id="cb-1963" value="1963" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_1ij.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-1963">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=276#src-276" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_1ij.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-1690">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-1690"></a>
            <input type="checkbox" id="cb-1690" value="1690" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_1ay.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-1690">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=276#src-276" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_gzipResponsesWorkWithBasicResponseHandler_1ay.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.gzipResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-514">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-514"></a>
            <input type="checkbox" id="cb-514" value="514" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_ea.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-514">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=62#src-62" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_ea.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-2977">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-2977"></a>
            <input type="checkbox" id="cb-2977" value="2977" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_2ap.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-2977">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=49#src-49" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_2ap.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-799">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-799"></a>
            <input type="checkbox" id="cb-799" value="799" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_m7.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-799">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=62#src-62" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_m7.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-803">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-803"></a>
            <input type="checkbox" id="cb-803" value="803" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_mb.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-803">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=291#src-291" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_mb.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-790">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-790"></a>
            <input type="checkbox" id="cb-790" value="790" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_ly.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-790">
            <span class="sortValue">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</span>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings.html?line=291#src-291" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestContentCodings_deflateResponsesWorkWithBasicResponseHandler_ly.html" title="Test Summary Page">org.apache.http.impl.client.TestContentCodings.deflateResponsesWorkWithBasicResponseHandler</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-5154">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-5154"></a>
            <input type="checkbox" id="cb-5154" value="5154" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_3z6.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-5154">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=49#src-49" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_3z6.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-4726">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4726"></a>
            <input type="checkbox" id="cb-4726" value="4726" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_3na.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4726">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=49#src-49" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_3na.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-3434">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-3434"></a>
            <input type="checkbox" id="cb-3434" value="3434" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_2ne.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-3434">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=49#src-49" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testSuccessfulResponse_2ne.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testSuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-1406">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-1406"></a>
            <input type="checkbox" id="cb-1406" value="1406" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_132.html';">
            <span class="sortValue">0.6363636</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="36.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="63.6% Covered" class="barPositive contribBarPositive" style="width: 63.6%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-1406">
            <span class="sortValue">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</span>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler.html?line=62#src-62" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/client/TestBasicResponseHandler_testUnsuccessfulResponse_132.html" title="Test Summary Page">org.apache.http.impl.client.TestBasicResponseHandler.testUnsuccessfulResponse</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
    
</tbody>
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"></span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"><span class="keyword">package</span> org.apache.http.impl.<a href="../client/pkg-summary.html">client</a>;</span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"></span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> java.io.IOException;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"></span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.apache.http.annotation.Immutable;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"></span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"><span class="keyword">import</span> org.apache.http.HttpEntity;</span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="keyword">import</span> org.apache.http.HttpResponse;</span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"><span class="keyword">import</span> org.apache.http.StatusLine;</span></td>
</tr>
        

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-37" class="srcLine"><span class="keyword">import</span> org.apache.http.<a href="../../client/pkg-summary.html">client</a>.<a href="../../../../../org/apache/http/client/ResponseHandler.html#ResponseHandler">ResponseHandler</a>;</span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"><span class="keyword">import</span> org.apache.http.<a href="../../client/pkg-summary.html">client</a>.<a href="../../../../../org/apache/http/client/HttpResponseException.html#HttpResponseException">HttpResponseException</a>;</span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine"><span class="keyword">import</span> org.apache.http.util.EntityUtils;</span></td>
</tr>
        

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-40" class="srcLine"></span></td>
</tr>
        

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-41" class="srcLine"><span class="comment">/**</span></span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine"><span class="comment"> * A {</span><span class="javadoc">@link</span><span class="comment"> ResponseHandler} that returns the response body as a String</span></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine"><span class="comment"> * for successful (2xx) responses. If the response code was &gt;= 300, the response</span></span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"><span class="comment"> * body is consumed and an {</span><span class="javadoc">@link</span><span class="comment"> HttpResponseException} is thrown.</span></span></td>
</tr>
        

<tr id="l45">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-45" class="srcLine"><span class="comment"> * &lt;p/&gt;</span></span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine"><span class="comment"> * If this is used with</span></span></td>
</tr>
        

<tr id="l47">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-47" class="srcLine"><span class="comment"> * {</span><span class="javadoc">@link</span><span class="comment"> org.apache.http.client.HttpClient#execute(</span></span></td>
</tr>
        

<tr id="l48">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-48" class="srcLine"><span class="comment"> *  org.apache.http.client.methods.HttpUriRequest, ResponseHandler)},</span></span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine"><span class="comment"> * HttpClient may handle redirects (3xx responses) internally.</span></span></td>
</tr>
        

<tr id="l50">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-50" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLine"><span class="comment"> * </span><span class="javadoc">@since</span><span class="comment"> 4.0</span></span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine">@Immutable</span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="54" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-54' onclick="toggleInlineStats(this, 'inlinestats-54');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-54" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-54'), 'inlinestats-54');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="90.9% Covered" class="barPositive barPositive" style="width: 90.9%"></div>
    </div>
</div></td><td>90.9%</td>
           <td class="inlineStat">Uncovered Elements: 1 (11)</td>
           <td class="inlineStat">Complexity: 3</td>
           <td class="inlineStat">Complexity Density: 0.5</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l54">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount NoHilight "
           onclick="return showTestsForLine(this, 54, 'Tests that hit &lt;span class=\'srcFragment\'&gt; BasicResponseHandler &lt;/span&gt;');"
       >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-54" >
    <span class="spacer"></span><span id="src-54" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../../org/apache/http/impl/client/BasicResponseHandler.html#BasicResponseHandler">BasicResponseHandler</a> <span class="keyword">implements</span> <a href="../../../../../org/apache/http/client/ResponseHandler.html#ResponseHandler">ResponseHandler</a>&lt;String&gt; {</span></td>
</tr>
        

<tr id="l55">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-55" class="srcLine"></span></td>
</tr>
        

<tr id="l56">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-56" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l57">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-57" class="srcLine"><span class="comment">     * Returns the response body as a String if the response was successful (a</span></span></td>
</tr>
        

<tr id="l58">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=58#src-58">58</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-58" class="srcLine"><span class="comment">     * 2xx status code). If no response body exists, this returns null. If the</span></span></td>
</tr>
        

<tr id="l59">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=59#src-59">59</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-59" class="srcLine"><span class="comment">     * response was unsuccessful (&gt;= 300 status code), throws an</span></span></td>
</tr>
        

<tr id="l60">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=60#src-60">60</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-60" class="srcLine"><span class="comment">     * {</span><span class="javadoc">@link</span><span class="comment"> HttpResponseException}.</span></span></td>
</tr>
        

<tr id="l61">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=61#src-61">61</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-61" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="62" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-62' onclick="toggleInlineStats(this, 'inlinestats-62');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-62" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-62'), 'inlinestats-62');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="90% Covered" class="barPositive barPositive" style="width: 90%"></div>
    </div>
</div></td><td>90%</td>
           <td class="inlineStat">Uncovered Elements: 1 (10)</td>
           <td class="inlineStat">Complexity: 3</td>
           <td class="inlineStat">Complexity Density: 0.5</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l62">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=62#src-62">62</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 62, 'Tests that hit &lt;span class=\'srcFragment\'&gt; handleResponse(HttpResponse)&amp;nbsp;:&amp;nbsp;String &lt;/span&gt;');"
       >
    <span title="Line 62, Col 5: method entered 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  methodStart  srcCell" id="id-62" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 62,72);" id="img-62" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-62" class="srcLine"><span class="nolink" title="Line 62, Col 5: method entered 20 times.">    <span class="keyword">public</span> String handleResponse(<span class="keyword">final</span> HttpResponse response)</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-62'), 62,72);" id="e62" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l63">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=63#src-63">63</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-63" class="srcLine">            <span class="keyword">throws</span> <a href="../../../../../org/apache/http/client/HttpResponseException.html#HttpResponseException">HttpResponseException</a>, IOException {</span></td>
</tr>
        

<tr id="l64">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=64#src-64">64</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 64, 'Tests that hit line # 64');"
    >
    <span title="Line 64, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-64" class="srcLine"><span class="nolink" title="Line 64, Col 9: statement executed 20 times.">        StatusLine statusLine = response.getStatusLine();</span></span></td>
</tr>
        

<tr id="l65">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=65#src-65">65</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 65, 'Tests that hit line # 65');"
    >
    <span title="Line 65, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-65" class="srcLine"><span class="nolink" title="Line 65, Col 9: statement executed 20 times.">        HttpEntity entity = response.getEntity();</span></span></td>
</tr>
        

<tr id="l66">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=66#src-66">66</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 66, 'Tests that hit line # 66');"
    >
    <span title="Line 66, Col 12: true branch executed 5 times, false branch executed 15 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-66" class="srcLine"><span class="nolink" title="Line 66, Col 12: true branch executed 5 times, false branch executed 15 times.">        <span class="keyword">if</span> (statusLine.getStatusCode() &gt;= 300) {</span></span></td>
</tr>
        

<tr id="l67">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=67#src-67">67</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 67, 'Tests that hit line # 67');"
    >
    <span title="Line 67, Col 13: statement executed 5 times." class="nolink">&nbsp;5</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-67" class="srcLine"><span class="nolink" title="Line 67, Col 13: statement executed 5 times.">            EntityUtils.consume(entity);</span></span></td>
</tr>
        

<tr id="l68">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=68#src-68">68</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 68, 'Tests that hit line # 68');"
    >
    <span title="Line 68, Col 13: statement executed 5 times." class="nolink">&nbsp;5</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-68" class="srcLine"><span class="nolink" title="Line 68, Col 13: statement executed 5 times.">            <span class="keyword">throw</span> <span class="keyword">new</span> <a href="../../../../../org/apache/http/client/HttpResponseException.html#HttpResponseException">HttpResponseException</a>(statusLine.getStatusCode(),</span></span></td>
</tr>
        

<tr id="l69">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=69#src-69">69</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-69" class="srcLine">                    statusLine.getReasonPhrase());</span></td>
</tr>
        

<tr id="l70">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=70#src-70">70</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-70" class="srcLine">        }</span></td>
</tr>
        

<tr id="l71">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=71#src-71">71</a></td>
<td align="right" class="coverageCount Bad hitByTest"
           onclick="return showTestsForLine(this, 71, 'Tests that hit line # 71');"
    >
    <span title="Line 71, Col 15: true branch executed 0 times, false branch executed 15 times." class="nolink">&nbsp;15</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-71" class="srcLineHilight"><span class="nolink" title="Line 71, Col 15: true branch executed 0 times, false branch executed 15 times.">        <span class="keyword">return</span> entity == <span class="keyword">null</span> ? <span class="keyword">null</span> : EntityUtils.toString(entity);</span></span></td>
</tr>
        

<tr id="l72">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=72#src-72">72</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-72" class="srcLine">    }</span></td>
</tr>
        

<tr id="l73">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=73#src-73">73</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-73" class="srcLine"></span></td>
</tr>
        

<tr id="l74">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=74#src-74">74</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-74" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../';
    var testsPerFile = -1;
</script>
<script src="BasicResponseHandler.js" type="text/javascript"></script>
<script src="../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
